function [mean_est, s_est] = estimate_noise(M)
% [mean_est, s_est] = estimate_noise(M)
%
% It assumes that there exists frequencies that do not capture
% anything but noise.

% If there exists a frequency at which only moise is measured and the noise
% is Gaussian, we can use it as a noise estimator.
%
% Note that the estimator for the mean should *not* be used; since the
% noise is assumed to be Gaussian, the value zero is the best estimate for
% the noise.

means = mean(M,2);
[~, idx] = sort(means, 'ascend');

sub = M(idx(1:10),:);
mean_est = mean(sub(:));
s_est = std(sub(:));

end
