function f = lorentz(x0, gamma, I)
% f = lorentz(x0, gamma, I)
%
% Return a function handle to a Lorentzian function with given parameters
%
%   x0    The center of the peak
%   gamma HWHM, the half width at half maximum
%   I     The intensity

f =@handle;

function y = handle(x)
    y = ( (x-x0).^2 + gamma.^2 );
    y = I*gamma^2./y;
end
end